import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRDeviceEnergyManagementClusterPowerAdjustStruct extends _NSObject {
    static alloc(): _MTRDeviceEnergyManagementClusterPowerAdjustStruct;
    static new(): _MTRDeviceEnergyManagementClusterPowerAdjustStruct;
    init(): _MTRDeviceEnergyManagementClusterPowerAdjustStruct;
    minPower(): _NSNumber;
    setMinPower$(value: _NSNumber): void;
    maxPower(): _NSNumber;
    setMaxPower$(value: _NSNumber): void;
    minDuration(): _NSNumber;
    setMinDuration$(value: _NSNumber): void;
    maxDuration(): _NSNumber;
    setMaxDuration$(value: _NSNumber): void;
}
export interface _MTRDeviceEnergyManagementClusterPowerAdjustStruct extends _NSCopying {
}
